org.apache.cassandra.utils

## Class CoalescingStrategies

- java.lang.Object
- - org.apache.cassandra.utils.CoalescingStrategies

    public class CoalescingStrategies
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `CoalescingStrategies.Coalescable`
`static class` `CoalescingStrategies.CoalescingStrategy`

### Field Summary

Fields
`protected static org.slf4j.Logger` `logger`

### Constructor Summary

Constructors
Constructor and Description
`CoalescingStrategies()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CoalescingStrategies.CoalescingStrategy` `newCoalescingStrategy(java.lang.String strategy, int coalesceWindow, org.slf4j.Logger logger, java.lang.String displayName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected static final org.slf4j.Logger logger

### Constructor Detail

#### CoalescingStrategies

    public CoalescingStrategies()

### Method Detail

#### newCoalescingStrategy

    public static CoalescingStrategies.CoalescingStrategy newCoalescingStrategy(java.lang.String strategy,
                                                                                int coalesceWindow,
                                                                                org.slf4j.Logger logger,
                                                                                java.lang.String displayName)